<?php
namespace application\models\hclinica\tables;

class Cita
{
    public $idCita;
    public $idPaciente;
    public $asunto;
    public $fechaAlta;
    public $fechaAtencion;
    public $comentarios;
    public $situacion;
    public $status;
    
    public function __construct($post=null)
    {
        if($post!=null)
        {
            foreach ($post as $key=>$value)
            {
                $this->__set($key, $value);
            }
        }
    }
    public function __get($name)
    {
        if (property_exists(__CLASS__, $name)) {
            return $this->$name;
        }
        return NULL;
    }
    public function __set($name, $value)
    {
        if (property_exists(__CLASS__,$name))
        {
            $this->$name = $value;
        }
    }
    public static function tipo(){
        __CLASS__;
    }
    
}

